package com.bonus.sgzb.material.service;


import com.bonus.sgzb.material.domain.ReturnOfMaterialsInfo;

import java.util.List;

/**
 * @author lsun
 */
public interface ReturnOfMaterialsInfoService {
    /**
     * 查询
     * @param bean
     * @return
     */
    List<ReturnOfMaterialsInfo> getReturnOfMaterialsInfoAll(ReturnOfMaterialsInfo bean);

    /**
     * 查询
     * @param level
     * @return
     */
    List<ReturnOfMaterialsInfo> getTypeList(String level);
    List<ReturnOfMaterialsInfo> getMaTypeList(String level);

    List<ReturnOfMaterialsInfo> getInfoListByType(String level,String parentId);

    /**
     * 退料入库导出
     * @param bean
     * @return
     */
    List<ReturnOfMaterialsInfo> exportList(ReturnOfMaterialsInfo bean);
}
